<?php
//     
defined( '_JEXEC' ) or die( 'Restricted access' );

//    ControllerIITcomponent        
class IITcomponentsControllerIITcomponent extends IITcomponentsController
{

	function __construct()
	{
		parent::__construct();

//   
		$this->registerTask( 'add'  , 	'edit' );
		$this->registerTask( 'publish'    , 	'publish' );
		$this->registerTask( 'unpublish'  , 	'publish' );
	}

//        IITcomponent form  
	function edit()
	{
		JRequest::setVar( 'view', 'iitcomponent' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

//  
	function save()
	{
		$model = $this->getModel('iitcomponent');

		if ($model->store($post)) {
			$msg = JText::_( 'IITCOMPONENTS SAVED' );
		} else {
			$msg = JText::_( 'ERROR SAVING IITCOMPONENT' );
		}

//
		$link = 'index.php?option=com_iitcomponent';
		$this->setRedirect($link, $msg);
	}

// 	
	function apply()
	{
		$model = $this->getModel('iitcomponent');

		if ($model->store($post)) {
			$msg = JText::_( 'IITCOMPONENTS SAVED' );
		} else {
			$msg = JText::_( 'ERROR SAVING IITCOMPONENT' );
		}

//
$id = JRequest::getVar('id');
          $link = 'index.php?option=com_iitcomponent&controller=iitcomponent&task=edit&cid[]='. $id;
		$this->setRedirect($link, $msg);
	}	

	function remove()
	{
		$model = $this->getModel('iitcomponent');
		if(!$model->delete()) {
			$msg = JText::_( 'ERROR ONE OR MORE IITCOMPONENT COULD NOT BE DELETED' );
		} else {
			$msg = JText::_( 'IITCOMPONENT(S) DELETED' );
		}

		$this->setRedirect( 'index.php?option=com_iitcomponent', $msg );
	}

// 
	function cancel()
	{
		$msg = JText::_( 'OPERATION CANCELLED' );
		$this->setRedirect( 'index.php?option=com_iitcomponent', $msg );
	}
//    ,      iitcomponent     .
	function saveorder()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$cid 	= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(), 'post', 'array' );
		JArrayHelper::toInteger($cid);
		JArrayHelper::toInteger($order);

		$model = $this->getModel('iitcomponent');
		$model->saveorder($cid, $order);

		$msg = JText::_( 'NEW ORDERING SAVED' );
		$this->setRedirect( 'index.php?option=com_iitcomponent', $msg );
	}
	
	//         orderup orderdown
	function orderup()
	{
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$model = $this->getModel('iitcomponent');
		$model->move(-1);

		$this->setRedirect( 'index.php?option=com_iitcomponent');
	}

	function orderdown()
	{
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$model = $this->getModel('iitcomponent');
		$model->move(1);

		$this->setRedirect( 'index.php?option=com_iitcomponent');
	}
	
	
// .
function publish()
    {
	JRequest::checkToken() or jexit( 'Invalid Token' );
    $data = JRequest::getVar('cid',  0, '', 'array');
    if (empty($data)) {
	$message = JText::_('NO DATA');
           $this->setRedirect( 'index.php?option=com_iitcomponent', $msg );
        }
    $model = $this->getModel('iitcomponent');
    $table = $model->getTable();
    	if ($this->_task == 'publish')
    	{
    		if ($table->publish($data))
    		{
        	$msg = JText::_('RAZDEL').' '.JText::_('Published');
    		}
    		else
    		{
        	$msg = JText::_('RAZDEL NO PUBLISHED');
        	$msg .= ' ['.$table->getError().']';
    		}
     		}
    	if ($this->_task == 'unpublish')
    	{
    		if ($table->publish($data,0))
    		{
    			if ($data>1)
        	$msg = JText::_('RAZDEL').' '.JText::_('UNPUBLISHED');
    		}
    		else
    		{
        	$msg = JText::_('RAZDEL NO PUBLISHED');
        	$msg .= ' ['.$table->getError().']';
    		}
    	}
    $this->setRedirect( 'index.php?option=com_iitcomponent', $msg );
 	}
}